summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-02-20 07:28:28 +0100
committerHans de Graaff <graaff@gentoo.org>2018-02-20 07:49:37 +0100
commit120363f7262c5514bd77b3bf4c3f51da0179e10e (patch)
tree95289c3f962459062f92620aaab9ab17412866b7
parentdev-ruby/turbolinks: add ruby24 (diff)
downloadgentoo-120363f7262c5514bd77b3bf4c3f51da0179e10e.tar.gz
gentoo-120363f7262c5514bd77b3bf4c3f51da0179e10e.tar.bz2
gentoo-120363f7262c5514bd77b3bf4c3f51da0179e10e.zip
app-admin/puppet: drop webrick patch from 5.4.0 as well
This issue is also fixed in puppet 5.x, similar to 4.10.10. Package-Manager: Portage-2.3.19, Repoman-2.3.6
-rw-r--r--app-admin/puppet/puppet-5.4.0-r1.ebuild (renamed from app-admin/puppet/puppet-5.4.0.ebuild)3
1 files changed, 0 insertions, 3 deletions
diff --git a/app-admin/puppet/puppet-5.4.0.ebuild b/app-admin/puppet/puppet-5.4.0-r1.ebuild
index 1f8461b191d..c274ee7b950 100644
--- a/app-admin/puppet/puppet-5.4.0.ebuild
+++ b/app-admin/puppet/puppet-5.4.0-r1.ebuild
@@ -71,9 +71,6 @@ all_ruby_prepare() {
# fix systemd path
epatch "${FILESDIR}/puppet-systemd.patch"
- # backport upstream fix for ruby 2.3.6 compatibility
- epatch "${FILESDIR}/puppet-4-webrick-ruby.patch"
-
# Avoid specs that can only run in the puppet.git repository. This
# should be narrowed down to the specific specs.
rm spec/integration/parser/compiler_spec.rb || die